/*
 * Class EV_TOOL_BAR_BUTTON_ACTION_SEQUENCES_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_393 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_393 [] = {0xFF01,1551,392,0xFFFF};
static const EIF_TYPE_INDEX egt_2_393 [] = {0xFF01,392,0xFFFF};
static const EIF_TYPE_INDEX egt_3_393 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_393 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_393 [] = {0xFF01,392,0xFFFF};
static const EIF_TYPE_INDEX egt_6_393 [] = {0xFF01,392,0xFFFF};
static const EIF_TYPE_INDEX egt_7_393 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_393 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_393 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_393 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_393 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_393 [] = {0xFF01,392,0xFFFF};
static const EIF_TYPE_INDEX egt_13_393 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_14_393 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_393 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_393 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_393[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_393), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_393), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_393), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_393), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_393), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_393), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_393), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_393), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_393), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_393), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_393), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_393), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0311 /*392*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_393), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_393), 6847, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_393), 6848, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_393), 6851, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6849, 0},
	{EIF_GENERIC(egt_16_393), 6852, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6850, 4},
};
void Init393(void)
{
	IDSC(desc_393, 0, 392);
	IDSC(desc_393 + 1, 1, 392);
	IDSC(desc_393 + 32, 954, 392);
}


#ifdef __cplusplus
}
#endif
